package com.goldenwater.slaj.hidd.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hidd.mapper.AttMedBaseMapper;
import com.goldenwater.slaj.hidd.domain.AttMedBase;
import com.goldenwater.slaj.hidd.service.IAttMedBaseService;

/**
 * 多媒体基础信息 服务层实现
 */
@Service
public class AttMedBaseServiceImpl implements IAttMedBaseService {

    @Autowired
    private AttMedBaseMapper attMedBaseMapper;

    /**
     * 查询多媒体基础信息信息
     * @param guid 查询条件
     * @return 多媒体基础信息信息
     */
    @Override
    public AttMedBase selectAttMedBaseByGuid(String guid) {
        return attMedBaseMapper.selectAttMedBaseByGuid(guid);
    }

    /**
     * 查询多媒体基础信息列表
     * @param attMedBase 多媒体基础信息查询条件
     * @return 多媒体基础信息集合
     */
    @Override
    public List<AttMedBase> selectAttMedBaseList(AttMedBase attMedBase) {
        return attMedBaseMapper.selectAttMedBaseList(attMedBase);
    }

    /**
     * 新增多媒体基础信息
     * @param attMedBase 多媒体基础信息信息
     * @return 影响行数
     */
    @Override
    public int insertAttMedBase(AttMedBase attMedBase) {
        return attMedBaseMapper.insertAttMedBase(attMedBase);
    }

    /**
     * 修改多媒体基础信息
     * @param attMedBase 多媒体基础信息信息
     * @return 影响行数
     */
    @Override
    public int updateAttMedBase(AttMedBase attMedBase) {
        return attMedBaseMapper.updateAttMedBase(attMedBase);
    }

    /**
     * 删除多媒体基础信息
     * @param guid 多媒体基础信息主键
     * @return 影响行数
     */
    @Override
    public int deleteAttMedBaseByGuid(String guid) {
        return attMedBaseMapper.deleteAttMedBaseByGuid(guid);
    }

    /**
     * 批量删除多媒体基础信息
     * @param guids 多媒体基础信息主键数组
     * @return 影响行数
     */
    @Override
    public int deleteAttMedBaseByGuids(String[] guids) {
        return attMedBaseMapper.deleteAttMedBaseByGuids(guids);
    }
}
